From: Sophie Brun <sophie@offensive-security.com>
Date: Wed, 31 Aug 2022 12:28:53 +0200
Subject: Copy config.json if required

Since version 1.1.5, the dir conf contains another file: config.json.
It's copied in the user dir $HOME/.config/finalrecon if the user dir does
not exist.
If it's an upgrade, the user dir already exists but it misses the
config.json => check if the file exists and add it.
---
 settings.py | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/settings.py b/settings.py
index 47e6942..a2d8424 100644
--- a/settings.py
+++ b/settings.py
@@ -20,6 +20,15 @@ if not path.exists(conf_path):
 if not path.exists(usr_data):
 	makedirs(usr_data, exist_ok=True)
 
+# Add config.json in conf_path (user misses it in case of upgrade)
+if path.exists(conf_file_path):
+    pass
+else:
+	from shutil import copyfile
+	import os
+	copyfile(os.path.join(src_conf_path, 'config.json'), conf_file_path)
+
+
 while True:
 	with open(conf_file_path, 'r') as config_file:
 		config_read = config_file.read()
